import { Observable } from 'rxjs';
import { Theme } from '../api/theme';
export declare class ThemesService {
    private config;
    private standardTheme;
    private themes;
    get themeChanged$(): Observable<Theme>;
    private themeChanged;
    private styleElement;
    private rootElementStyleBackup;
    /** @hidden */
    private constructor();
    private applyThemeVariables;
    private ensureContrast;
    private increaseContrast;
    findTheme(name: string): Theme | null;
    findCurrentTheme(): Theme;
    applyTheme(theme: Theme): void;
    private applyCurrentTheme;
}
